Package org.tmatesoft.svn.core.auth

# Interface ISVNAuthenticationManagerExt

All Superinterfaces:
  `ISVNAuthenticationManager`

public interface ISVNAuthenticationManagerExt extends ISVNAuthenticationManager

Since:
  1.7
Version:
  1.7
Author:
  TMate Software Ltd.

## Field Summary

### Fields inherited from interface org.tmatesoft.svn.core.auth.ISVNAuthenticationManager

`PASSWORD, SSH, SSL, USERNAME`

## Method Summary

Modifier and Type
Method
Description
`void`
`acknowledgeAuthentication(boolean accepted, String kind, String realm, SVNErrorMessage errorMessage, SVNAuthentication authentication, SVNURL accessedLocation)`
`void`
`acknowledgeConnectionSuccessful(SVNURL url, String method)`

### Methods inherited from interface org.tmatesoft.svn.core.auth.ISVNAuthenticationManager

`acknowledgeAuthentication, acknowledgeTrustManager, getConnectTimeout, getFirstAuthentication, getNextAuthentication, getProxyManager, getReadTimeout, getTrustManager, isAuthenticationForced, setAuthenticationProvider`

## Method Details

### acknowledgeConnectionSuccessful

void acknowledgeConnectionSuccessful(SVNURL url, String method)

### acknowledgeAuthentication

void acknowledgeAuthentication(boolean accepted, String kind, String realm, SVNErrorMessage errorMessage, SVNAuthentication authentication, SVNURL accessedLocation) throws SVNException

Throws:
  `SVNException`